ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package serialization
  Definition Classes
    adam
- ADAMKryoRegistrator
- AvroSerializer
- InputStreamWithDecoder
- WritableSerializer

c

org.bdgenomics.adam.serialization

# WritableSerializer 

###

#### class WritableSerializer[T <: Writable] extends Serializer[T]

A Kryo serializer for Hadoop writables.

Lifted from the Apache Spark user email list (http://apache-spark-user-list.1001560.n3.nabble.com/Hadoop-Writable-and-Spark-serialization-td5721.html) which indicates that it was originally copied from Shark itself, back when Spark 0.9 was the state of the art.

T

  The class to serialize, which implements the Writable interface.

Linear Supertypes
Serializer[T], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WritableSerializer
2. Serializer
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new WritableSerializer()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def copy(arg0: Kryo, arg1: T): T
   Definition Classes
     Serializer
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def getAcceptsNull(): Boolean
   Definition Classes
     Serializer
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def isImmutable(): Boolean
    Definition Classes
      Serializer
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  def read(kryo: Kryo, input: Input, cls: Class[T]): T
    Definition Classes
      WritableSerializer → Serializer
18.  def setAcceptsNull(arg0: Boolean): Unit
    Definition Classes
      Serializer
19.  def setGenerics(arg0: Kryo, arg1: Array[Class[_]]): Unit
    Definition Classes
      Serializer
20.  def setImmutable(arg0: Boolean): Unit
    Definition Classes
      Serializer
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  def write(kryo: Kryo, output: Output, writable: T): Unit
    Definition Classes
      WritableSerializer → Serializer

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializer[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped